#!/usr/bin/perl
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2001,2002 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#
# @(#)22  1.47  src/csm/cfm/pm/CFM.pm.perl, cfm, csm_rpyxc, rpyxct1f7 8/16/02 13:56:33

package CFM;

BEGIN{ $::csmpm = $ENV{'CSM_PM'} ? $ENV{'CSM_PM'} : '/opt/csm/pm';} #for development use
use lib $::csmpm;
require NodeUtils;

$::MSGCAT = 'csmCFM.cat';
$::MSGMAPPATH = $ENV{'CSM_MSGMAPS'} ? $ENV{'CSM_MSGMAPS'} : '/opt/csm/msgmaps';
$::MSGSET = 'CFM';

############################################################
#Log Locations
############################################################
sub openlogs{
	my $error_log_size = (-s "/var/log/csm/cfmerror.log");
	#my $change_log_size = (-s "var/log/csm/cfmchange.log");
	if( $error_log_size > 100000){  #if bigger than 100,000 bytes
		if( -e "/var/log/csm/cfmerror.log1"){
			if( -e "/var/log/csm/cfmerror.log2"){
				if( -e "/var/log/csm/cfmerror.log3"){
					if( -e "/var/log/csm/cfmerror.log4"){
						NodeUtils->message("I", 'IMsgREMOVING_LOG_FILE', "/var/log/csm/cfmerror.log4");
						rmdir("/var/log/csm/cfmerror.log4");
					}
					my @move = `/bin/mv /var/log/csm/cfmerror.log3 /var/log/csm/cfmerror.log4 2>&1`;
					if( ($? >> 8) != 0){
						NodeUtils->message( "W", 'EMsgCOMMAND_FAILED', "/bin/mv /var/log/csm/cfmerror.log3 /var/log/csm/cfmerror.log4", "$move[0]");
					}
				}
				my @move = `/bin/mv /var/log/csm/cfmerror.log2 /var/log/csm/cfmerror.log3 2>&1`;
				if( ($? >> 8) != 0){
					NodeUtils->message( "W", 'EMsgCOMMAND_FAILED', "/bin/mv /var/log/csm/cfmerror.log2 /var/log/csm/cfmerror.log3", "$move[0]");
				}
			}
			my @move = `/bin/mv /var/log/csm/cfmerror.log1 /var/log/csm/cfmerror.log2 2>&1`;
			if( ($? >> 8) != 0){
				NodeUtils->message( "W", 'EMsgCOMMAND_FAILED', "/bin/mv /var/log/csm/cfmerror.log1 /var/log/csm/cfmerror.log2", "$move[0]");
			}
		}
		my @move = `/bin/mv /var/log/csm/cfmerror.log /var/log/csm/cfmerror.log1 2>&1`;
		if( ($? >> 8) != 0){
			NodeUtils->message( "W", 'EMsgCOMMAND_FAILED', "/bin/mv /var/log/csm/cfmerror.log /var/log/csm/cfmerror.log1", "$move[0]");
		}
	}

	if($main::user ne "root"){
		open ($main::LOG_FILE_HANDLE, ">>/var/log/csm/cfmerror.log")
		    or NodeUtils->message( "W", 'EMsgNON_ROOT_CANT_OPEN_FILE', "/var/log/csm/cfmerror.log", "$!", ($? >> 8)); 
	}
	else{
		open ($main::LOG_FILE_HANDLE, ">>/var/log/csm/cfmerror.log")
		    or NodeUtils->message( "W", 'EMsgCANT_OPEN_FILE', "/var/log/csm/cfmerror.log", "$!", ($? >> 8)); 
	}
	my $date = `/bin/date`;
	if($ENV{'UPDATENODE_RUNNING'}){
			print "updatenodelog: $date";
	}
	print $main::LOG_FILE_HANDLE "############################\n", $date;
	print $main::LOG_FILE_HANDLE "$main::COMMAND\n";
	NodeUtils->message( 'LI', 'IMsgLogUser', $main::user);
	if(-e "/var/log/csm/cfmchange.log"){
		if($main::user ne "root"){
				 open ($main::CHANGE_LOG, "</var/log/csm/cfmchange.log")
		or  NodeUtils->message( "W", 'EMsgNON_ROOT_CANT_OPEN_FILE', "/var/log/csm/cfmchange.log", "$!", ($? >> 8)); 
			}
		else{
	    	open ($main::CHANGE_LOG, "</var/log/csm/cfmchange.log")
			or  NodeUtils->message( "W", 'EMsgCANT_OPEN_FILE', "/var/log/csm/cfmchange.log", "$!", ($? >> 8));
		} 
	}

}
sub closelogs{
    if($_[0] eq 'error'){
	close $main::LOG_FILE_HANDLE
	    or NodeUtils->message( "W", 'EMsgCANT_CLOSE_FILE', "/var/log/csm/cfmerror.log", "$!", ($? >> 8)); 
    }
    else{
	close $main::LOG_FILE_HANDLE
	    or NodeUtils->message( "W", 'EMsgCANT_CLOSE_FILE', "/var/log/csm/cfmerror.log", "$!", ($? >> 8)); 
	    if(-e "/var/log/csm/cfmchange.log"){
		close $main::CHANGE_LOG
		    or NodeUtils->message( "W", 'EMsgCANT_CLOSE_FILE', "/var/log/csm/cfmchange.log", "$!", ($? >> 8)); 
		}
    }
}

########################################################
#Global Variables
# CFM->vars
#	input:
#		@allnodes, @DestGroup, %all_groups_in_cluster, @DestNode
#	output: 
#		$allnodes_name
#CMF->vars returns values in the following global variables:
#  %main::groupkey, %main::DestNodeKey, %main::groupall, %main::grouppart, %main::all_groups_in_cluster
########################################################
sub vars{
    my ($class, $ref_allnodes, $ref_DestGroup, $ref_DestNode) = @_;
    my @local_allnodes = @$ref_allnodes;
    my @local_DestGroup = @$ref_DestGroup;
    my @local_DestNode = @$ref_DestNode;
    my $allnodes_name; 
    my $gindex =0;
    my $outref = NodeUtils->listNodeGroupExpMem(@DestGroup);
    foreach my $row (@$outref) {
	my ($groupname, $nodelist) = $row =~ /^(.+):\|:\{(.*)\}$/;
	my @nodes = split(/,/, $nodelist);
	$main::all_groups_in_cluster{$groupname}{'index'} =$gindex;
	$gindex++;
	foreach my $node (@nodes){
		$main::all_groups_in_cluster{$groupname}{'nodes'}{$node} = 1; #add groupname and nodes in group 

	}
    }
    
    #we send to all nodes
    if(@local_DestGroup){ #only distributing to certain filegroups
	foreach my $ng (@local_DestGroup){
	    if(exists($main::all_groups_in_cluster{$ng})){
		$main::groupkey{$ng}++; #add groupname to hash
		@{$main::groupall{$ng}}= (keys %{$main::all_groups_in_cluster{$ng}{'nodes'}});
		push @local_DestNode, (keys %{$main::all_groups_in_cluster{$ng}{'nodes'}});
	    }
	    else{ #its not a real group
		NodeUtils->message( "E", 'EMsgCANNOT_RESOLVE_NODEGRP', $ng);
		$NODEGROUP_ERROR = 21;
	    }
	}
    }

    $allnodes_name = "..lsnodes";
    while($main::all_groups_in_cluster{$allnodes_name}){ #make sure we don't use an existing groupname
	$allnodes_name .= ".";
    }

    foreach my $an (@local_allnodes){
	(my $name, my $status) = split /$::check_delim/, $an;
	$main::all_groups_in_cluster{$allnodes_name}{'nodes'}{$name} = 1;
    }
   
    if(@local_DestNode){
	foreach my $dn (@local_DestNode){
	    chomp($dn);
	    $main::DestNodeKey{$dn}++; #add destination node name to hash
	}
	foreach my $group_in_cluster (keys %main::all_groups_in_cluster){

	    if(!exists $main::groupall{$group_in_cluster}){ #if we're already sending to all these nodes then don't worry about it
		
		my @common = CFM->intersection( \%main::DestNodeKey, \%{$main::all_groups_in_cluster{$group_in_cluster}{'nodes'}}); #find out what groups these nodes are in
		
		if(@common){
		    if(scalar (@common) == scalar (keys %{$main::all_groups_in_cluster{$group_in_cluster}{'nodes'}})){ 
			@{$main::groupall{$group_in_cluster}} = @common; #we send to all the nodes in this group
		    }
		    else{
			@{$main::grouppart{$group_in_cluster}} = @common; #we have nodes in this group
		    }
		}
	    }
	}
    }
    return $allnodes_name;
}



########################################################
#filegroup
#for files in generic directories
# 	input
#		%fnamekey
#		%all_groups_in_cluster
#		$allnodes_name	
#		$global_filename
#	output
# 		%badfiles
# CFM->filegroup modifies the following global variables:
# %main::hibred, $main::regular
########################################################
sub filegroup{
    my ($class, $ref_fnamekey, $ref_all_groups_in_cluster, $local_allnodes_name, $local_global_filename) = @_;
    my %local_fnamekey = %$ref_fnamekey;
    my %local_all_groups_in_cluster = %$ref_all_groups_in_cluster;
    my %badfiles;  
    %main::clocal = ();
  FILE: foreach my $hashname (keys %local_fnamekey){ #each base (before the ._ )file name
      my ($uid, $gid);
      my %size = (); #hash for size of groups for this file  
      my @filename = (keys %{$local_fnamekey{$hashname}});  #get all of the filenames
      my $num = scalar (@filename); #how many files with this base name
      
      if($num > 1){ #more that one version of the file
	  my $index =0;
	  while(@filename){ #while there is another file with this base name to process
	      my $groupname;
	      my $group_dir;	    
	      my $name = shift @filename;

	      my @file_info = stat($name);
	      if((!$uid) && (!$gid)){
		  $uid = $file_info[4];
		  $gid = $file_info[5];
		  #if( !(($::user eq 'root') && (($uid == $::useruid) && ($gid == $::usergid)) )){
		      $::clocal{$hashname}{'user'} = $uid;
		      $::clocal{$hashname}{'group'}= $gid;
		  #}
	      }
	      else{
		  if(($uid !=  $file_info[4]) ||($gid != $file_info[5])){
		      NodUtils->message( 'E', 'EMsgDifferentOwners', $hashname);
		      $badfiles{$name}=1;
		      delete $::clocal{$hashname};
		      next FILE;
		  }
	      }
	      my @path = split '/', $name;
	      my $just_name = pop(@path); 
	      my $path_name = join '/', @path;
	      my @path_parts = split "\._|\/", $path_name;
	      my @name_parts = split "\._", $just_name;
	      foreach my $item (@path_parts){
		  if(exists $local_all_groups_in_cluster{$item}){
		      #its probably a group name directory, check:
		      if($path_name =~ m/\._$item/){
				      $group_dir = $item;
				  }
		  }
	      }
	      if(!$group_dir){
		  my $name_end = pop @name_parts; #group name extension has to be at the end
		  if(exists $local_all_groups_in_cluster{$name_end}){
		      #its probably a file with a ._GroupName extension
		      if($just_name =~ m/\._$name_end/){
			  $groupname = $name_end;
		      }
		  }
	      }
	      if(($groupname) || ($group_dir)){ #file goes into a GROUP
		  #order groups for this base file name by size
		  my $generic_group;
		  if($groupname){
		      $generic_group = $groupname;
		  }
		  else{
		      $generic_group = $group_dir;
		  }
		  my $gsize = keys %{$local_all_groups_in_cluster{$generic_group}{'nodes'}}; #what size is this group?
		  if(exists $size{$gsize}){ #if a group is already this size
		      #is it the same group?
		      if($generic_group eq $size{$gsize}[0]){ #both files have the same destination
			  my @same_group = grep /$generic_group/, (keys %{$local_fnamekey{$hashname}});
			  foreach my $ofile (@same_group){
				  if($name ne $ofile){
				  my @parts = split "\._|\/", $ofile;
				  my $flago =0;
				  OCHECK: foreach my $item (@parts){
						  if($item eq $generic_group){
							  $flago=1;
							  last OCHECK;
						  }
				  }
			          if($flago==1){
					  if((!$local_global_filename) || ($local_global_filename =~ /$hashname/) ){
						  NodeUtils->message( "E", 'EMsgSAME_DESTINATION', $name, $ofile);
						  $CFMROOT_FILE_ERROR = 23;
						  #put both files on a list of those we won't distribute
						  $badfiles{$name}=$badfiles{$ofile}=1;
					  }
				  }
			      }
			  }		
			  #delete $size{$gsize};
		      }
		      elsif($size{$gsize}[0] eq $local_allnodes_name){ #there is a version for the entire cluster
			  if((!$local_global_filename) || ($local_global_filename =~ /$hashname/) ){
			      NodeUtils->message( "W", 'EMsgGROUP_SIZE_OF_CLUSTER', $name);
			  }
			  $size{$gsize}[0] = $generic_group; #send the group version, not the all node version
		      }
		      
		      else{ #there is another group as big as this one
			  #check to see if they have nodes in common

			  foreach my $pregroup (@{$size{$gsize}}){
			      my @inter = CFM->intersection( \%{$local_all_groups_in_cluster{$pregroup}{'nodes'}}, \%{$local_all_groups_in_cluster{$generic_group}{'nodes'}} );
			      if (@inter){
				  if((!$local_global_filename) || ($local_global_filename =~ /$hashname/) ){
				      NodeUtils->message( "W", 'EMsgGROUP_SAME_SIZE', $pregroup, $generic_group, $hashname, $pregroup); 
				  }
			      }
			  }
			  push @{$size{$gsize}}, $generic_group;
		      }
		  }
		  else{ #no group this size yet
		      push @{$size{$gsize}}, $generic_group;
		  }
	      }
	      else{ #file goes to ALL NODES
		  $groupname = $local_allnodes_name;
		  my $gsize = keys %{$local_all_groups_in_cluster{$local_allnodes_name}{'nodes'}}; #size = # of nodes in cluster
		  
		  if(exists $size{$gsize}){ #there is a group as big as all nodes
		      NodeUtils->message( "W", 'EMsgGROUP_SIZE_OF_CLUSTER', $name);
		  }
		  else{ #allnodes has a unique number of nodes
		      push @{$size{$gsize}}, $local_allnodes_name;
		  }
	      }
	  }
	  
	  #make STRING INDEX which has groups sorted by size. this way we can figure out if the same file/groups configurates exist for multiple file base names
	  sub numerically { $a <=> $b }
	  @numbers = sort numerically keys %size; #@numbers = number of nodes per group
	  my $string = ""; #keep the name of hibred group
	  
	  foreach my $element (@numbers){ #for each size of node group
	      my @samegroups = @{$size{$element}};
	      foreach my $g (@samegroups){
		      my $index = $local_all_groups_in_cluster{$g}{'index'};
		      $string .= "n$index";
	      }
	      if(@samegroups){
	      	$string .= "s"; #separate groups of different sizes
	}
	  }
	  push @{$main::hibred{$string}{files}}, $hashname; #put this base name on the hibred hash
	  
	  if(!exists $main::hibred{$string}{dest}){ #figure out where this string should go, if we haven't done so yet.
	      my @antinumbers; #keep track of groups we've already dest to
	      foreach my $count (@numbers){ #for each group size we have
		  my @group = @{$size{$count}}; #what groups are this size
		  my @all = grep /\.\.lsnodes/, @group; #are we going to all nodes?
		  if(@antinumbers){   #this is not the smallest group(s)
		      while(@group){ #for each group this size
			  my $mygroup = shift @group; 
			  $main::hibred{$string}{dest}{$mygroup}= (); #initialize hibred hash for this group
			  my @subtract = @antinumbers; #what groups are smaller than this one?
			  if(@all){ #we are dealing with all the nodes
			      %tempdest = %{$local_all_groups_in_cluster{$local_allnodes_name}{'nodes'}}; #nodes from the cluster
			  }
			  else{ #not dealing with all groups
			      %tempdest = %{$local_all_groups_in_cluster{$mygroup}{'nodes'}}; #nodes in this group
			  }
			  
			  while(@subtract){ #as long as there are groups smaller than me
			      my $subgroup = pop @subtract; #smaller group]
			      my @common = CFM->intersection( \%tempdest, \%{$local_all_groups_in_cluster{$subgroup}{'nodes'}} ); #get the nodes that we've already sent versions of this base file name to.
			      if(@common){
				  if($mygroup ne $local_allnodes_name){
				      if((!$local_global_filename) || ($local_global_filename =~ /$mygroup/) || ($local_global_filename =~ /$subgroup/)){
				      	NodeUtils->message( "W", 'EMsgTWOGROUPS', $mygroup, $subgroup, $subgroup); 
				      }
				  }
				  while(@common){ #remove the node names that go to smaller groups
				      my $tmp = shift @common;
				      delete $tempdest{$tmp}; #get rid of these node names
				  }
			      }
			  }
			  
			  @{$main::hibred{$string}{dest}{$mygroup}} = keys %tempdest; #these are the nodes that this group sends to for $string files
			  push @antinumbers, $mygroup; #put this on the smaller groups array
		      }
		  }
		  
		  else{ #this is the smallest group(s)
		      #what if the groups overlap?
		      #use antinumbers to see what we've already disted to
		      foreach my $mygroup (@group){ 
			  if(!@antinumbers){ #this is the smallest
			      @{$main::hibred{$string}{dest}{$mygroup}} = keys %{$local_all_groups_in_cluster{$mygroup}{'nodes'}}; #since this is the smallest group we send the files to every node in it
			      push @antinumbers, $mygroup;
			  }
			  else{ #this is not the smallest group
			      my @subtract = @antinumbers;
			      my %dest = %{$local_all_groups_in_cluster{$mygroup}{'nodes'}}; #nodes in this group
			      while (@subtract){
				  my $subgroup = pop @subtract; #smaller group
				  my @common = CFM->intersection( \%dest, \%{$local_all_groups_in_cluster{$subgroup}{'nodes'}} ); #get the nodes that we've already sent versions of this base file name to.
				  while(@common){ #remove the node names that go to smaller groups
				      my $tmp = shift @common;
				      delete $dest{$tmp}; #get rid of these node names
				  }
			      }
			      @{$main::hibred{$string}{dest}{$mygroup}} = keys %dest; #send to the nodes that are left
			      push @antinumbers, $mygroup;
			  }
		      }
		  }
	      }
	  }
      }
      elsif($num==1){ #there is only one version of the file
	  #still need to do something with it
	  my $filename = (keys %{$local_fnamekey{$hashname}})[0]; #here's its actual name
	  my @file_info = stat($filename);
	  my $uid = $file_info[4];
	  my $gid = $file_info[5];
	  #if( !(($::user eq 'root') && (($uid == $::useruid) && ($gid == $::usergid)) )){
	      $::clocal{$hashname}{'user'} = $uid;
	      $::clocal{$hashname}{'group'}= $gid;
	  #}
	  my @path = split '/', $filename;
	  my $just_name = pop(@path);
	  my $numexts =0;
	  foreach my $part (@path){
		  my @subparts = split "\._", $part;
		  foreach my $item (@subparts){
			  if(exists $local_all_groups_in_cluster{$item}){
				  #then it probably has a groupname extension, check to make sure:
				 if($filename =~ /\._$item/){
				    $group_dir = $item;
				    $numexts++;
			    	}
			  }
		  }
	  }
	  if($group_dir){
		  if($numexts > 1){
			  NodeUtils->message( 'E', 'EMsgMULTIPLE_GROUPS', $filename, $filename);
		  }
		  else{
		   	$groupname = $group_dir;
		  	undef $group_dir;
		}
	  }
	  else{
		  my @nameparts = split "\._", $just_name;
		  foreach my $item (@nameparts){
			  if(exists $local_all_groups_in_cluster{$item}){
				  if($filename =~ /\._$item/){  
				  	$groupname = $item;
				  	$numexts++;
				}
			  }
		  }
	  }
	  if(!$groupname){ #and then maybe it doesn't have a group file extension
	  	$groupname = $local_allnodes_name; #so it goes to all the nodes!
	  }
	  if($numexts >1){
		  NodeUtils->message( 'E', 'EMsgMULTIPLE_GROUPS', $filename, $filename);
	  }
	  else{
	  	push @{$main::regular{$groupname}}, $filename; #there could be more files that only have one version and go to this destination
  	}
      }
      
      undef $groupname;
      undef $string;
      undef %size;
      undef @numbers;
  }
    return %badfiles;		
}

########################################################
#intersection: returns keys common to all hashes passed to it
########################################################
sub intersection{
        shift @_; #get rid of class #this means we must always call CFM->intersection
	my %seen; #hash for seen keys
	my $num;
	foreach my $href (@_){ #for each hash that was passed to me
		$num++;
		foreach my $n (keys %$href){
		    $seen{$n}++; #mark that we've seen it
		}
	}
	my @rtrn = ();
	foreach my $k (keys %seen){
		if($seen{$k} == $num){
			push @rtrn, $k;
		}
	}
	return @rtrn;
}


########################################################
#dirlook
#	input
#		$path, 
# 		%all_groups_in_cluster
#
#	changes the following global variables:
#		%fnamekey
#		%change
########################################################
sub dirlook{  #all items come into this function under @_
    local ($file, @dlist, @llist, $dflag);
    local ($class, $path, $ref_all_groups_in_cluster) = @_;
    local %local_all_groups_in_cluster = %$ref_all_groups_in_cluster;
    
    #check to see if there is a groupname in the path.
    my @pathparts = split "\._|\/", $path;
    my $groupcount=0;
    foreach my $item (@pathparts){
	    if(exists $local_all_groups_in_cluster{$item}){
		    #then it probably has a groupname extension, check to make sure:
	           if($path =~ /\._$item/){		
			    $dflag = $item;
			    $groupcount++;
	    	}
	    }
    }
    if($groupcount > 1){
	    NodeUtils->message( 'E', 'EMsgMULTIPLE_GROUPS', $path, $path);
	    return 1;
    }
#look in directory

	if($main::user ne "root"){

		opendir(DIR, $path)
		or NodeUtils->message( "E2", 'EMsgNON_ROOT_CANT_OPEN_FILE', $path, "$!", ($? >> 8)); 
	}
	else{
		opendir(DIR, $path)
		or NodeUtils->message( "E2", 'EMsgCANT_OPEN_FILE', $path, "$!", ($? >> 8));
	} 
   FILELOOK: while ($file = readdir(DIR)){
       if ($file ne '.' and $file ne '..'){
	   my @file_info = stat("/$path/$file");
	   my $uid = $file_info[4];
	   my $gid = $file_info[5];
	   if($main::user eq 'root'){
	       if(($::badUsers{$uid}) || ($::badGroups{$gid})){
		   next FILELOOK;
	       }
	   }
	   else{
	       if( ($uid != $::useruid) || ($gid != $::usergid)){
		   NodeUtils->message( 'E', 'EMsgNotYourFile', $file);
		   next FILELOOK;
	       }
	   }
       }
       if(-d "$path/$file"){        #DIRECTORY
	   #Make sure its not the . or ..
	   if ($file ne '.' and $file ne '..'){ 
		push @dlist, "$path/$file";
	    }
	}
	elsif(-f "$path/$file"){     #FILE
	    
		my $wholename = join '/', $path, $file;
		#check how many ._groupname extensions
		my $numextensions = 0;
		my @parts = split '\._|\/', $wholename;
		my $group_name;
		shift @parts; #the first one can't be an extension
		foreach my $item (@parts){
			if(exists $local_all_groups_in_cluster{$item}){
				#then it probably has a groupname extension, check to make sure:
				if($wholename =~ /\._$item/){
					$numextensions++;
			    		$group_name = $item;
				}
			}
		}
		if($numextensions > 1){
		    NodeUtils->message( "E", 'EMsgMULTIPLE_GROUPS', $wholename, $wholename); 
		    $CFMROOT_FILE_ERROR =23;
		}
		elsif($dflag){ #file is in a group name directory
		    my $basename = $wholename;
		    $basename =~ s/\._$dflag//g;
		    $main::fnamekey{$basename}{$wholename}=1;
		}
		else{ #the file is not in a groupname directory
		    #my @tmp = split '\._', $file;
		    #my $basename = join '/', $path, $tmp[0];
		    my $basename = $wholename;
		    if($group_name){
			$basename =~ s/\._$group_name//;
		    }
		    if($basename ne $wholename){
			$main::fnamekey{$basename}{$wholename}=1;
		    }
		    else{
			if(grep /\._/, $file){
			    NodeUtils->message( "W", 'EMsgNOT_A_GROUP', $wholename);
			}		
			$main::fnamekey{$basename}{$wholename}=1;
		    }
		}
		#put the file in a hash to update the change log
		$main::change{$wholename}=(stat($wholename))[9];
	    
	}
	
	else{
	    NodeUtils->message( "W", 'EMsgWRONG_TYPE', "$path/$file");
	}


   }
    closedir DIR;
    
    while(@dlist){  #are there more directories to look in?
	my $next_dir = shift @dlist;
	CFM->dirlook($next_dir, \%local_all_groups_in_cluster);
    }

}
1;



