# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2001,2002 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
package CT::RM;
# "@(#)41   1.2   src/rsct/rmc/ext/CT/RM/RM.pm, rmccli, rsct_rpyxb, rpyxbt1d2 3/11/01 17:54:49"

use strict;
use Carp;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK $AUTOLOAD);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
    RM_EABORTJOIN
    RM_EACTIONNOTSUP
    RM_EATTRREADONLY
    RM_EAUTH
    RM_EBADCDB
    RM_ECDBVERSION
    RM_ECMDGRP
    RM_ECONSIDINV
    RM_ECONTROLNOTSUP
    RM_EDATAPARMBAD
    RM_EDEFNOTSUP
    RM_EINIT
    RM_EINTERNAL
    RM_EINVALIDCATEGORY
    RM_EINVALIDCLASS
    RM_EINVALIDHANDLE
    RM_EINVALIDSDTYPE
    RM_EINVALIDVALUEPTR
    RM_EINVATTRID
    RM_EINVCLASSNAME
    RM_EINVDATATYPE
    RM_EINVDESCRIPTOR
    RM_EINVLIBTOKEN
    RM_EINVOBJHANDLE
    RM_EINVPARM
    RM_EINVRESHANDLE
    RM_EINVRMNAME
    RM_EINVRSPMETHOD
    RM_EINVRSPOBJ
    RM_EINVVRTYATTRID
    RM_ELOCATIONUNKNOWN
    RM_ENAMETOOLONG
    RM_ENOCONN
    RM_ENODESCRIPTOR
    RM_ENOMEM
    RM_ENOTENABLED
    RM_ENOTINIT
    RM_ENOTMONITORED
    RM_ENOTQUIESCED
    RM_ENOTREQUESTED
    RM_EQUIESCED
    RM_ERESNOTACCESIBLE
    RM_ERMRUNNING
    RM_ERSPEMPTY
    RM_ERSPOVERFLOW
    RM_ESRVCNOTAVAIL
    RM_ESYSCALL
    RM_ETOOMANY
    RM_EUNDEFNOTSUP
    RM_EUNKNOWN
    RM_EUNMATCHEDMETHOD
    RM_SUCCESS
);
$VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.  If a constant is not found then control is passed
    # to the AUTOLOAD in AutoLoader.

    my $constname;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "& not defined" if $constname eq 'constant';
    my $val = constant($constname, @_ ? $_[0] : 0);
    if ($! != 0) {
    if ($! =~ /Invalid/) {
        $AutoLoader::AUTOLOAD = $AUTOLOAD;
        goto &AutoLoader::AUTOLOAD;
    }
    else {
        croak "Your vendor has not defined CT::RM macro $constname";
    }
    }
    no strict 'refs';
    # *$AUTOLOAD = sub () { $val };
    $AUTOLOAD = sub () { $val };
    goto &$AUTOLOAD;
}

bootstrap CT::RM $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module.


=head1 NAME

CT::RM - Perl extensions for RSCT RMC ct_rm.h


=head1 SYNOPSIS

use CT::RM;


=head1 DESCRIPTION

This extension is used by the Reliable Scalable Cluster Technology
(RSCT) Resource Monitoring and Control (RMC) Commands.
RMC Commands are located in /usr/sbin/rsct/bin.
Some of the RMC Commands are:
lsrsrc, lsrsrcdef, mkrsrc, rmrsrc, chrsrc, refrsrc, lsactdef.
The RM extension contains all general Resource Manager return codes.

The Perl to C Extensions for RSCT RMC,
CT::RM, are not being externalized at this time.
Use at your own risk!
The API to these extensions will probably change.


=head1 Exported constants

For more information on these exported constants refer to the file:
    /usr/include/rsct/ct_rm.h

    RM_EABORTJOIN
    RM_EACTIONNOTSUP
    RM_EATTRREADONLY
    RM_EAUTH
    RM_EBADCDB
    RM_ECDBVERSION
    RM_ECMDGRP
    RM_ECONSIDINV
    RM_ECONTROLNOTSUP
    RM_EDATAPARMBAD
    RM_EDEFNOTSUP
    RM_EINIT
    RM_EINTERNAL
    RM_EINVALIDCATEGORY
    RM_EINVALIDCLASS
    RM_EINVALIDHANDLE
    RM_EINVALIDSDTYPE
    RM_EINVALIDVALUEPTR
    RM_EINVATTRID
    RM_EINVCLASSNAME
    RM_EINVDATATYPE
    RM_EINVDESCRIPTOR
    RM_EINVLIBTOKEN
    RM_EINVOBJHANDLE
    RM_EINVPARM
    RM_EINVRESHANDLE
    RM_EINVRMNAME
    RM_EINVRSPMETHOD
    RM_EINVRSPOBJ
    RM_EINVVRTYATTRID
    RM_ELOCATIONUNKNOWN
    RM_ENAMETOOLONG
    RM_ENOCONN
    RM_ENODESCRIPTOR
    RM_ENOMEM
    RM_ENOTENABLED
    RM_ENOTINIT
    RM_ENOTMONITORED
    RM_ENOTQUIESCED
    RM_ENOTREQUESTED
    RM_EQUIESCED
    RM_ERESNOTACCESIBLE
    RM_ERMRUNNING
    RM_ERSPEMPTY
    RM_ERSPOVERFLOW
    RM_ESRVCNOTAVAIL
    RM_ESYSCALL
    RM_ETOOMANY
    RM_EUNDEFNOTSUP
    RM_EUNKNOWN
    RM_EUNMATCHEDMETHOD
    RM_SUCCESS


=head1 AUTHOR

Licensed Materials - Property of IBM

(C) COPYRIGHT International Business Machines Corp. 2001.
All Rights Reserved.

US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


=head1 VERSION

RSCT Version 2.2


=head1 SEE ALSO

rmccli, CT::CT, CT::MC, CT::MCerr

=cut
